## ros-galactic-demo-nodes-cpp 0.14.4

=== debian/changelog ===
ros-galactic-demo-nodes-cpp (0.14.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.14.3-1focal) focal; urgency=high

  * Fix small print issue in allocator tutorial. (#509 <https://github.com/ros2/demos/issues/509>) (#512 <https://github.com/ros2/demos/issues/512>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.14.2-1focal) focal; urgency=high

  * Small fixes for even_parameters_node. (#500 <https://github.com/ros2/demos/issues/500>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.14.0-1focal) focal; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Fix integer type in RCLCPP_* macro printf. (#492 <https://github.com/ros2/demos/issues/492>)
  * Contributors: Chris Lalancette, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.13.0-1focal) focal; urgency=high

  * Add a demo for the new ParameterEventHandler class (#486 <https://github.com/ros2/demos/issues/486>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.12.1-1focal) focal; urgency=high

  * Filter qos overrides in paramter events demos (#491 <https://github.com/ros2/demos/issues/491>)
  * Update code now that parameter types are static by default (#487 <https://github.com/ros2/demos/issues/487>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.12.0-1focal) focal; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.11.0-1focal) focal; urgency=high

  * Make sure to wait for the service before declaring events. (#473 <https://github.com/ros2/demos/issues/473>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.10.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.10.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.9.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.9.0-1focal) focal; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)
  * use serialized message (#441 <https://github.com/ros2/demos/issues/441>)
  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Use spin_until_future_complete instead of spin_some in parameters_event demo (#427 <https://github.com/ros2/demos/issues/427>)
  * change the logging demo test for updated console format (#421 <https://github.com/ros2/demos/issues/421>)
  * [demo_nodes_cpp]  Add XML launch demos (#419 <https://github.com/ros2/demos/issues/419>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Karsten Knese, Steven Macenski, William Woodall, Yutaka Kondo

 -- William Woodall <william@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.8.4-1focal) focal; urgency=high

  * Add in a more helpful usage message to allocator_tutorial. (#409 <https://github.com/ros2/demos/issues/409>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.8.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.8.2-1focal) focal; urgency=high

  * Don't redefine add_dependencies (#408 <https://github.com/ros2/demos/issues/408>)
  * Contributors: Dan Rose

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-galactic-demo-nodes-cpp (0.8.1-1focal) focal; urgency=high

  * rename return functions for loaned messages (#403 <https://github.com/ros2/demos/issues/403>)
  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * remove intra-process manager impl (#382 <https://github.com/ros2/demos/issues/382>)
  * zero copy api (#394 <https://github.com/ros2/demos/issues/394>)
  * Remove command line parsing from C++ demos (#401 <https://github.com/ros2/demos/issues/401>)
  * Need to specify NodeOption explicitly to allow declaration. (#389 <https://github.com/ros2/demos/issues/389>)
  * Contributors: Alberto Soragna, Jacob Perron, Karsten Knese, Peter Baughman, tomoya

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-demo-nodes-cpp (0.8.0-1focal) focal; urgency=high


