=== debian/control ===
Source: ros-galactic-demo-nodes-cpp
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-example-interfaces, ros-galactic-launch <!nocheck>, ros-galactic-launch-testing <!nocheck>, ros-galactic-launch-testing-ament-cmake <!nocheck>, ros-galactic-launch-testing-ros <!nocheck>, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-implementation-cmake, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-demo-nodes-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-example-interfaces, ros-galactic-launch-ros, ros-galactic-launch-xml, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: C++ nodes which were previously in the ros2/examples repository but are now just used for demo purposes.
